﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class MinDecade : AggregateTimeSpan
    {
        public MinDecade(TimeSpan rent,DateTime start)  {
            this.start = start;
            end = start.AddMinutes(10);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute , 1)))
            {
                children[new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute , 1)].add(child);
            }
            else
            {
                Minute min = new Minute(this, new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, 1));
                children.Add(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, 1), min);
                min.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
    }
}
