﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class Week : AggregateTimeSpan
    {
        public Week(TimeSpan rent, DateTime start)  {
            this.start = start;
            end = start.AddDays(7);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, child.time.Day)))
            {
                children[new DateTime(child.time.Year, child.time.Month, child.time.Day)].add(child);
            }
            else
            {
                Day day = new Day(this, new DateTime(child.time.Year, child.time.Month, child.time.Day));
                children.Add(new DateTime(child.time.Year, child.time.Month, child.time.Day), day);
                day.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
    }
}
