﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class Minute : AggregateTimeSpan
    {
        public Minute(TimeSpan rent, DateTime min)  {
            start = min;
            end = start.AddMinutes(1);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second/10)))
            {
                children[new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second / 10)].add(child);
            }
            else
            {
                SecDecade sd = new SecDecade(this, new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second / 10));
                children.Add(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second / 10), sd);
                sd.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
    }
}
