﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace netvis
{
    class SecDecade : AggregateTimeSpan
    {
        public SecDecade(TimeSpan rent,DateTime sec) {
            start = sec;
            end = start.AddSeconds(10);
        }
        public override void add(Packet child)
        {
            if (children.Keys.Contains(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second )))
            {
                children[new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second )].add(child);
            }
            else
            {
                Second sd = new Second(this, new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second));
                children.Add(new DateTime(child.time.Year, child.time.Month, child.time.Day, child.time.Hour, child.time.Minute, child.time.Second ), sd);
                sd.add(child);
            }
            if (child.pass)
            {
                numberPass++;
            }
            else
            {
                numberFail++;
            }
        }
    }
}
